=== debian/changelog ===
ros-noetic-rosbag-snapshot (1.0.4-1buster) buster; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 02 Aug 2022 18:44:04 -0000
