## ros-noetic-rosbag-snapshot 1.0.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,16 @@
 cmake_minimum_required(VERSION 3.0.2)
 project(rosbag_snapshot)
-set_directory_properties(PROPERTIES COMPILE_OPTIONS "-std=c++11")
 
 find_package(catkin REQUIRED COMPONENTS rosbag rosbag_snapshot_msgs roscpp rosgraph_msgs std_srvs topic_tools)
+
+find_package(Boost REQUIRED COMPONENTS program_options)
 
 catkin_package(
     CATKIN_DEPENDS rosbag rosbag_snapshot_msgs roscpp rosgraph_msgs std_srvs topic_tools
     INCLUDE_DIRS include
     LIBRARIES rosbag_snapshot
 )
-include_directories(include ${catkin_INCLUDE_DIRS})
+include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})
 
 add_library(rosbag_snapshot src/snapshotter.cpp)
 add_dependencies(rosbag_snapshot ${catkin_EXPORTED_TARGETS})
@@ -17,7 +18,7 @@
 
 add_executable(snapshot src/snapshot.cpp)
 add_dependencies(snapshot ${catkin_EXPORTED_TARGETS})
-target_link_libraries(snapshot rosbag_snapshot ${catkin_LIBRARIES})
+target_link_libraries(snapshot rosbag_snapshot ${catkin_LIBRARIES} ${Boost_LIBRARIES})
 
 if(CATKIN_ENABLE_TESTING)
   find_package(catkin REQUIRED COMPONENTS roslint rostest)
