=== debian/changelog ===
ros-noetic-rosbag-snapshot (1.0.5-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 08 Sep 2023 19:13:22 -0000
