=== debian/control ===
Source: ros-noetic-rosbag-snapshot
Section: misc
Priority: optional
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-rosbag, ros-noetic-rosbag-snapshot-msgs, ros-noetic-roscpp, ros-noetic-rosgraph-msgs, ros-noetic-roslint <!nocheck>, ros-noetic-rospy <!nocheck>, ros-noetic-rostest <!nocheck>, ros-noetic-rostopic <!nocheck>, ros-noetic-std-msgs <!nocheck>, ros-noetic-std-srvs, ros-noetic-topic-tools
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-rosbag-snapshot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-rosbag, ros-noetic-rosbag-snapshot-msgs, ros-noetic-roscpp, ros-noetic-rosgraph-msgs, ros-noetic-std-srvs, ros-noetic-topic-tools
Description: The rosbag_snapshot package
